Subject: bug#38261: Recent changes to emacs build system

From: [email-masked]
Date: Tue, 19 Nov 2019 22:32:29 +0100

On 19.11.2019 22:29, Maxim Cournoyer wrote:
> [email-masked] writes:
> 
> [...]
> 
>> Thank you for your work Maxim, I think most of them are resolved
>> now. I do wonder about what prompted the change, though. Perhaps you
>> might share?
>> 
>> Brett
> 
> The main motivation was to gain the ability to install Emacs in a given
> profile and have it use the Elisp libraries installed in said profile
> (and only from that profile).  Using a search path specification is the
> native Guix mechanism to find libraries for systems that mostly rely on
> the FHS and means it work consistently across profiles, environments, 
> or
> other features supported by Guix.
> 
> There was a discussion here about this change and some feedback in the
> two weeks it was published preceding its merge:
> https://lists.gnu.org/archive/html/help-guix/2019-11/msg00000.html.
> 
> HTH!
> 
> Maxim

Maxim, indeed it does! I guess I was out of the loop on that 
conversation and it just took me by surprise! Thanks for your efforts.

Best,
Brett